Bug 975888 - drop requirement on fakeroot
drop requirement on fakeroot
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libuser (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Miloslav Trmač
Ondrej Moriš
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 10:20 EDT by Bill Nottingham
Modified: 2014-06-13 06:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: libuser-0.59-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:29:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2013-06-19 10:20:37 EDT
We're attempting to drop fakeroot/fakechroot from RHEL 7. (See bug 840779)

libuser only uses it for tests. Can we drop this bit from RHEL 7?

Version-Release number of selected component (if applicable):

libuser-0:0.59-1.el7.src
Comment 2 Miloslav Trmač 2013-06-19 12:57:21 EDT
I'm fine with dropping it from the RHEL 7 branch; for Fedora I'd rather have the tests (but I'd consider moving to a different tool if there was any).
Comment 3 Miloslav Trmač 2013-06-28 13:06:20 EDT
Fixed in libuser-0.59-2.el7 .
Comment 4 Ondrej Moriš 2013-08-29 08:15:35 EDT
Successfully verified:

Old specfile (libuser-0.59-1.el7):

...
Name: libuser
Version: 0.59
Release: 1%{?dist}
Group: System Environment/Base
License: LGPLv2+
URL: https://fedorahosted.org/libuser/
Source: https://fedorahosted.org/releases/l/i/libuser/libuser-%{version}.tar.xz
BuildRequires: glib2-devel, linuxdoc-tools, pam-devel, popt-devel, python2-devel
BuildRequires: cyrus-sasl-devel, libselinux-devel, openldap-devel
# To make sure the configure script can find it
BuildRequires: nscd
# For %%check
BuildRequires: fakeroot, openldap-clients, openldap-servers, openssl
Summary: A user and group account administration library
...

New specfile (libuser-0.59-2.el7):

...
Name: libuser
Version: 0.59
Release: 2%{?dist}
Group: System Environment/Base
License: LGPLv2+
URL: https://fedorahosted.org/libuser/
Source: https://fedorahosted.org/releases/l/i/libuser/libuser-%{version}.tar.xz
# Upstream changeset 2692c2de0ac9619487c0d77ca8eac614da0a76c0
Patch0: libuser-0.59-no-fakeroot.patch
BuildRequires: glib2-devel, linuxdoc-tools, pam-devel, popt-devel, python2-devel
BuildRequires: cyrus-sasl-devel, libselinux-devel, openldap-devel
# To make sure the configure script can find it
BuildRequires: nscd
# For %%check
BuildRequires: openldap-clients, openldap-servers, openssl
Summary: A user and group account administration library
...
Comment 6 Ludek Smid 2014-06-13 06:29:18 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.